var gridManager = null;
var sapSuppliersPayGridManager = null;
var sapSuppliersBuyerGridManager = null;
var sapSuppliersBankGridManager = null;

$(document).ready(function () {
    initialize();
    loadSuppliersPayListGrid();
    loadSuppliersBuyerListGrid();
    loadSuppliersBankListGrid();
});
function initialize(){
    UICtrl.layout("#layout", {leftWidth: 3});
   // let isDetailPage = ($("#isDetailPage").val() === "true");
 //   if (isDetailPage) {
   //     $("#jobPageTop").hide();
 //   }
}

/**
 * 流程引擎回调设置打样的id
 * @param value 打样申请的id
 */
function setId(id) {
    $("#id").val(id);
    var _grid = UICtrl.getGridManager('#sapSuppliersPayGrid');
    _grid.options.parms.id = value;
    var _grid = UICtrl.getGridManager('#sapSuppliersBuyerGrid');
    _grid.options.parms.id = value;
}

/**
 * 流程引擎获取打样申请id的回掉方法。
 * @return 打样申请的id
 */
function getId() {
    return $("#id").val() || "";
}


// 加载付款信息表格
function loadSuppliersPayListGrid() {
    var toolbarOptions = UICtrl.getDefaultToolbarOptions({
        // 添加一行表格
        addHandler: function () {
            UICtrl.addGridRow(sapSuppliersPayGridManager,
                {
                    // 行号加一
                    sequence: sapSuppliersPayGridManager.getData().length + 1
                }
            );
        },
        // 删除选中的尺码信息
        deleteHandler: function () {
            var _grid = UICtrl.getGridManager('#sapSuppliersPayGrid');
            DataUtil.delSelectedRows({
                action: 'sapPriceMasterData/deletePriceMasterDataById.ajax',
                param: {},
                gridManager: _grid,
                idFieldName: 'id',
                onSuccess: function () {
                    reloadGrid();
                }
            });
        }
    });

    // 表格
    sapSuppliersPayGridManager = UICtrl.grid("#sapSuppliersPayGrid", {
        //gridManager: null,
        columns: [
            {
                display: "行号", name: "sequence", width: 100, minWidth: 60, type: "String", align: "left",
                editor: {type: 'spinner', min: 1, max: 100, mask: 'nnn'}
            },
            {
                display: "公司代码", name: "bukrs", width: 100, minWidth: 60, type: "String", align: "left",
                editor: {type: 'text', required: true}
            },
            {
                display: "统驭科目", name: "akont", width: 140, minWidth: 60, type: "String", align: "left",
                editor: {type: 'text', required: true}
            },
            {
                display: "根据分配号排序代码", name: "zuawa", width: 150, minWidth: 60, type: "String", align: "left",
                editor: {type: 'text', required: true}
            },
            {
                display: "付款条件代码", name: "zterm", width: 100, minWidth: 60, type: "String", align: "left",
                editor: {type: 'text', required: true}
            },
            {
                display: "考虑的付款方式清单", name: "zwels", width: 140, minWidth: 60, type: "String", align: "left",
                editor: {type: 'text'}
            },
            {
                display: "检查双重发票", name: "reprf", width: 160, minWidth: 60, type: "String", align: "left",
                editor: {type: 'text', required: true}
            },
            {
                display: "中心记帐冻结", name: "sperr", width: 100, minWidth: 60, type: "String", align: "left",
                editor: {type: 'text', required: false}
            },
            {
                display: "对公司代码过帐冻结", name: "sperrB", width: 140, minWidth: 60, type: "String", align: "left",
                editor: {type: 'text', required: false}
            },

        ],
        dataAction: "server",
        url: web_app.name + '/sapSuppliersData/slicedSuppliersPayData.ajax',
        parms: {sId: getId},
        pageSize: 20,
        usePager: true,
        toolbar: toolbarOptions,
        enabledEdit: true,
        width: "98%",
        height: "300px",
        heightDiff: -8,
        checkbox: true,
        fixedCellHeight: true,
        selectRowButtonOnly: true,
    });
    UICtrl.setSearchAreaToggle(sapSuppliersPayGridManager);
}


// 加载采购组织信息表格
function loadSuppliersBuyerListGrid() {
    var toolbarOptions = UICtrl.getDefaultToolbarOptions({
        // 添加一行表格
        addHandler: function () {
            UICtrl.addGridRow(sapSuppliersBuyerGridManager,
                {
                    // 行号加一
                    sequence: sapSuppliersBuyerGridManager.getData().length + 1
                }
            );
        },
        // 删除选中的尺码信息
        deleteHandler: function () {
            var _grid = UICtrl.getGridManager('#sapSuppliersBuyerGrid');
            DataUtil.delSelectedRows({
                action: 'sapPriceMasterData/deletePriceMasterDataById.ajax',
                param: {},
                gridManager: _grid,
                idFieldName: 'id',
                onSuccess: function () {
                    reloadGrid();
                }
            });
        }
    });

    // 表格
    sapSuppliersBuyerGridManager = UICtrl.grid("#sapSuppliersBuyerGrid", {
        gridManager: null,
        columns: [
            {
                display: "行号", name: "sequence", width: 100, minWidth: 60, type: "String", align: "left",
                editor: {type: 'spinner', min: 1, max: 100, mask: 'nnn'}
            },
            {
                display: "采购组织", name: "ekorg", width: 100, minWidth: 60, type: "String", align: "left",
                editor: {type: 'text', required: true}
            },
            {
                display: "货币码", name: "waers", width: 140, minWidth: 60, type: "String", align: "left",
                editor: {type: 'text', required: true}
            },
            {
                display: "付款条件代码", name: "zterm", width: 150, minWidth: 60, type: "String", align: "left",
                editor: {type: 'text', required: true}
            },
            {
                display: "国际贸易条款", name: "inco1", width: 10, minWidth: 60, type: "String", align: "left",
                editor: {type: 'text', required: false}
            },
            {
                display: "国际贸易条款位置1", name: "inco2L", width: 140, minWidth: 60, type: "String", align: "left",
                editor: {type: 'text', required: false}
            },
            {
                display: "国际贸易条款位置2", name: "inco3L", width: 160, minWidth: 60, type: "String", align: "left",
                editor: {type: 'text', required: false}
            },
            {
                display: "收货的发票验证", name: "webre", width: 100, minWidth: 60, type: "String", align: "left",
                editor: {type: 'text', required: true}
            },
            {
                display: "计算方案组", name: "kalsk", width: 140, minWidth: 60, type: "String", align: "left",
                editor: {type: 'text', required: true}
            },
            {
                display: "供应商销售人员", name: "verkf", width: 140, minWidth: 60, type: "String", align: "left",
                editor: {type: 'text', required: false}
            },
            {
                display: "供应商电话号码", name: "telf1", width: 140, minWidth: 60, type: "String", align: "left",
                editor: {type: 'text', required: true}
            },
            {
                display: "服务的发票校验标识", name: "lebre", width: 140, minWidth: 60, type: "String", align: "left",
                editor: {type: 'text', required: true}
            },
            {
                display: "边境运输方式", name: "expvz", width: 140, minWidth: 60, type: "String", align: "left",
                editor: {type: 'text', required: false}
            },
            {
                display: "采购冻结", name: "sperm", width: 140, minWidth: 60, type: "String", align: "left",
                editor: {type: 'text', required: false}
            },
        ],
        dataAction: "server",
        url: web_app.name + '/sapSuppliersData/slicedSuppliersBuyerData.ajax',
        parms: {sId: getId},
        pageSize: 20,
        usePager: true,
        toolbar: toolbarOptions,
        enabledEdit: true,
        width: "98%",
        height: "300px",
        heightDiff: -8,
        checkbox: true,
        fixedCellHeight: true,
        selectRowButtonOnly: true,
    });
    UICtrl.setSearchAreaToggle(sapSuppliersBuyerGridManager);
}

// 加载银行信息表格
function loadSuppliersBankListGrid() {
    var toolbarOptions = UICtrl.getDefaultToolbarOptions({
        // 添加一行表格
        addHandler: function () {
            UICtrl.addGridRow(sapSuppliersBankGridManager,
                {
                    // 行号加一
                    sequence: sapSuppliersBankGridManager.getData().length + 1
                }
            );
        },
        // 删除选中的尺码信息
        deleteHandler: function () {
            var _grid = UICtrl.getGridManager('#sapSuppliersBankGrid');
            DataUtil.delSelectedRows({
                action: 'sapPriceMasterData/deletePriceMasterDataById.ajax',
                param: {},
                gridManager: _grid,
                idFieldName: 'id',
                onSuccess: function () {
                    reloadGrid();
                }
            });
        }
    });

    // 表格
    sapSuppliersBankGridManager = UICtrl.grid("#sapSuppliersBankGrid", {
        gridManager: null,
        columns: [
            {
                display: "行号", name: "sequence", width: 100, minWidth: 60, type: "String", align: "left",
                editor: {type: 'spinner', min: 1, max: 100, mask: 'nnn'}
            },
            {
                display: "银行所属国家", name: "banks", width: 100, minWidth: 60, type: "String", align: "left",
                editor: {type: 'text', required: true}
            },
            {
                display: "银行代码", name: "bankl", width: 140, minWidth: 60, type: "String", align: "left",
                editor: {type: 'text', required: true}
            },
             {
                 display: "银行帐户号码", name: "bankn", width: 150, minWidth: 60, type: "String", align: "left",
                 editor: {type: 'text', required: true}
             },
             {
                 display: "账户持有人姓名", name: "koinh", width: 120, minWidth: 60, type: "String", align: "left",
                 editor: {type: 'text', required: true}
             },
             {
                 display: "银行控制代码", name: "bkont", width: 140, minWidth: 60, type: "String", align: "left",
                 editor: {type: 'text', required: true}
             },
             {
                 display: "对方开户行类型", name: "bvtyp", width: 160, minWidth: 60, type: "String", align: "left",
                 editor: {type: 'text', required: false}
             },
             {
                 display: "财务机构名称", name: "banka", width: 100, minWidth: 60, type: "String", align: "left",
                 editor: {type: 'text', required: false}
             },
             {
                 display: "分行", name: "brnch", width: 140, minWidth: 60, type: "String", align: "left",
                 editor: {type: 'text', required: true}
             },
            {
                display: "银行细目的参考明细", name: "bkref", width: 140, minWidth: 60, type: "String", align: "left",
                editor: {type: 'text', required: false}
            }

        ],
        dataAction: "server",
        url: web_app.name + '/sapSuppliersData/slicedSuppliersBankData.ajax',
        parms: {sId: getId},
        pageSize: 20,
        usePager: true,
        toolbar: toolbarOptions,
        enabledEdit: true,
        width: "98%",
        height: "300px",
        heightDiff: -8,
        checkbox: true,
        fixedCellHeight: true,
        selectRowButtonOnly: true,
    });
    UICtrl.setSearchAreaToggle(sapSuppliersBankGridManager);
}

//获取数据保存的参数
function getExtendedData(processAction) {
    //回退、打回、转交时，不需要验证必填项是否已经填写；
    if (processAction == ProcessAction.BACK
        || processAction == ProcessAction.REPLENISH
        || processAction == ProcessAction.TRANSMIT) {
        //不验证
        $('#submitForm').attr('check', false);
    }
    const isAllData = $('#oldId') || !getId();
    var extendedData = {};
    var _grid = UICtrl.getGridManager('#sapSuppliersPayGrid');
    if (_grid) {
        var datas = DataUtil.getGridData({
            gridManager: _grid,
            isAllData: isAllData
        });
        if (!datas) {
            return false;
        }
        extendedData.suppliersPayList = Public.encodeJSONURI(datas);
    }
    var _grid = UICtrl.getGridManager('#sapSuppliersBuyerGrid');
    if (_grid) {
        var datas = DataUtil.getGridData({
            gridManager: _grid,
            isAllData: isAllData
        });
        if (!datas) {
            return false;
        }
        extendedData.suppliersBuyerList = Public.encodeJSONURI(datas);
    }
    var _grid = UICtrl.getGridManager('#sapSuppliersBankGrid');
    if (_grid) {
        var datas = DataUtil.getGridData({
            gridManager: _grid,
            isAllData: isAllData
        });
        if (!datas) {
            return false;
        }
        extendedData.suppliersBankList = Public.encodeJSONURI(datas);
    }
    return extendedData;
}