package com.huigou.topsun.sap.suppliers.domain;

import com.huigou.data.domain.model.FlowBillAbstractEntity;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.Date;
import java.util.List;

/**
 * 供应商主数据
  */
@Table(name="sap_suppliers_info")
@Data
@Entity
public class SuppliersInfo extends FlowBillAbstractEntity {

    /**
     * 屏幕用途的bp角色
     */
    @Column(name = "rltgr")
    private String rltgr;

    /**
     * 业务伙伴分组
     */
    @Column(name = "bu_group")
    private String buGroup;

    /**
     * 业务伙伴编号
     */
    @Column(name = "partner")
    private String partner;

    /**
     * 称谓代码
     */
    @Column(name = "title")
    private String title;

    /**
     * 组织名称 1
     */
    @Column(name = "name_org1")
    private String nameOrg1;

    /**
     * 组织名称 2
     */
    @Column(name = "name_org2")
    private String nameOrg2;

    /**
     * 组织名称 3
     */
    @Column(name = "name_org3")
    private String nameOrg3;


    /**
     * 组织名称 4
     */
    @Column(name = "name_org4")
    private String nameOrg4;

    /**
     * 业务伙伴的搜索词1
     */
    @Column(name = "bu_sort1")
    private String buSort1;

    /**
     * 业务伙伴的搜索词2
     */
    @Column(name = "bu_sort2")
    private String buSort2;


    /**
     * 街道
     */
    @Column(name = "street")
    private String street;

    /**
     * 街道2
     */
    @Column(name = "str_suppl1")
    private String strSuppl1;

    /**
     * 街道3
     */
    @Column(name = "str_suppl2")
    private String strSuppl2;

    /**
     * 街道4
     */
    @Column(name = "str_suppl3")
    private String strSuppl3;

    /**
     * 国家/地区代码
     */
    @Column(name = "land1")
    private String land1;

    /**
     * 国家/地区代码
     */
    @Column(name = "region")
    private String region;

    /**
     * 语言关键字
     */
    @Column(name = "langu")
    private String langu;

    /**
     * 语言关键字
     */
    @Column(name = "city1")
    private String city1;

    /**
     * 城市邮政编码
     */
    @Column(name = "post_code1")
    private String postCode1;

    /**
     * 第一个电话号码
     */
    @Column(name = "tel_number")
    private String telNumber;

    /**
     * 一个电话号码:分机号
     */
    @Column(name = "tel_extens")
    private String telExtens;

    /**
     * 第一个移动电话号码
     */
    @Column(name = "mob_number")
    private String mobNumber;

    /**
     * 第一个移动电话号码:分机
     */
    @Column(name = "mob_extens")
    private String mobExtens;

    /**
     * 第一个传真号
     */
    @Column(name = "fax_number")
    private String faxNumber;

    /**
     * 第一个传真号：分机号
     */
    @Column(name = "fax_extens")
    private String faxExtens;

    /**
     * 电子邮件地址
     */
    @Column(name = "smtp_addr")
    private String smtpAddr;

    /**
     * 供应商帐户组
     */
    @Column(name = "ktokk")
    private String ktokk;

    /**
     * 集中设置的采购冻结
     */
    @Column(name = "sperm")
    private String sperm;

    /**
     * 中心记帐冻结
     */
    @Column(name = "sperr")
    private String sperr;

    /**
     * 贸易合作伙伴的公司标识
     */
    @Column(name = "vbund")
    private String vbund;

    /**
     * 客户编号
     */
    @Column(name = "kunnr")
    private String kunnr;

    /**
     * 责任税务部门的税收编号
     */
    @Column(name = "stenr")
    private String stenr;

    /**
     * 更新标识
     */
    @Column(name = "updkz")
    private String updkz;


    @Override
    protected String getCodeRuleId() {
        return "sapSuppliersInfo";
    }

//    @Transient
//    private List<SuppliersPay>  suppliersPayList;
//
//    @Transient
//    private List<SuppliersBuyer>  suppliersBuyerList;
//
//    @Transient
//    private List<SuppliersBank>  suppliersBankList;
}